local M = {}


-- The name of the route for the bus (which is used as an ID) - this will be unique for this mod
local BUS_ID = "555 PRT"

local function onScenarioLoaded(scenario)
    if scenario.name == BUS_ID then
        local buslines = jsonDecode(readFile("levels/west_coast_usa/buslines/prt.buslines.json"))
        buslines.routes[1].tasklist = {
            "wcu_bs_12_b",
            "wcu_bs_06_b",
            "wcu_bs_16_b",
            "wcu_bs_20_b",
            "wcu_bs_18",
            "wcu_bs_11",
            "wcu_bs_09",
            "wcu_bs_05_b"
        }
        serializeJsonToFile("levels/west_coast_usa/buslines/prt.buslines.json", buslines, true)
    end
end

M.onScenarioLoaded = onScenarioLoaded
return M